## xpaint-2.10.2.tar.bz2

=== Makefile ===
# Makefile generated by imake - do not edit!

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.NV6DuB>
# $Xorg: Imake.tmpl,v 1.4 2000/08/17 19:41:46 cpqbld Exp $
# $XdotOrg: xc/config/cf/Imake.tmpl,v 1.9 2005/01/24 06:37:31 daniels Exp $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.155 2003/12/24 18:58:41 dickey Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $XdotOrg: xc/config/cf/Imake.cf,v 1.7 2005/03/02 11:20:29 gisburn Exp $
# $Xorg: Imake.cf,v 1.4 2000/08/17 19:41:45 cpqbld Exp $

# $XFree86: xc/config/cf/Imake.cf,v 3.88 2003/12/16 21:30:21 herrb Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.186 2003/06/25 18:06:22 eich Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# $XdotOrg: xc/config/cf/linux.cf,v 1.24 2005/03/06 01:05:00 branden Exp $
# platform:  $Xorg: linux.cf,v 1.3 2000/08/17 19:41:47 cpqbld Exp $

# platform:  $XFree86: xc/config/cf/linux.cf,v 3.220 2003/12/30 22:38:33 tsi Exp $

# operating system:  Linux 4.14.0-towo.1-siduction-amd64 x86_64 [ELF] (4.14.0)
# libc:	(6.24.0)
# binutils:	(229)

# $Xorg: lnxLib.rules,v 1.3 2000/08/17 19:41:47 cpqbld Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.52 2003/10/31 20:49:03 herrb Exp $

# $XdotOrg: xc/config/cf/xorg.cf,v 1.44 2005/01/27 03:50:46 ajax Exp $

# $Xorg: xfree86.cf,v 1.4 2000/08/17 19:41:49 cpqbld Exp $

XORG_VERSION_CURRENT = (((7) * 10000000) + ((7) * 100000) + ((0) * 1000) + 0)
RELEASE_VERSION = RELEASE-1

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
     XFREE86PDFDOCDIR = $(DOCPDFDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $Xorg: xf86.rules,v 1.3 2000/08/17 19:41:48 cpqbld Exp $

# $XFree86: xc/config/cf/xf86.rules,v 3.34tsi Exp $

   SELINUX_LDFLAGS =

   SELINUX_INCLUDES = -I/usr/include/selinux

   SELINUX_CFLAGS =  -DHAVE_SELINUX

   SELINUX_LIBS = -lselinux

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $Xorg: Imake.rules,v 1.3 2000/08/17 19:41:46 cpqbld Exp $
# rules:  $XdotOrg: xc/config/cf/Imake.rules,v 1.8 2005/02/01 22:27:00 ajax Exp $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.128 2003/11/15 03:25:17 dawes Exp $

.PHONY: all interfaces install install.man install.lib install.sdk 	depend includes cleandir

 _NULLCMD_ = @ echo -n

X_BYTE_ORDER = X_LITTLE_ENDIAN

GLIDE2INCDIR =

GLIDE3INCDIR = /usr/include/glide3

GLIDE3LIBNAME = glide3

TKLIBNAME = tk8.4

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl8.4

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh -e

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = /usr/bin/rman
     RMANBASENAME = rman
      RMANOPTIONS =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/include
        USRLIBDIR = /usr/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/share/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSECT)
    SYSCALLMANDIR = $(MANSOURCEPATH)$(SYSCALLMANSECT)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSECT)
     DRIVERMANDIR = $(MANSOURCEPATH)4
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSECT)
       GAMEMANDIR = $(MANSOURCEPATH)$(GAMEMANSECT)
       MISCMANDIR = $(MANSOURCEPATH)7
        ADMMANDIR = $(MANSOURCEPATH)$(ADMMANSECT)
	  ICONDIR = "/usr/share/icons"
      XCURSORPATH = "~/.icons:/usr/share/icons:/usr/share/pixmaps"
     DRIVERMANDIR = $(MANSOURCEPATH)4
     LOGDIRECTORY = $(VARDIR)/log

        VARRUNDIR = $(VARDIR)/run

         VARDBDIR = $(VARDIR)/lib

               AR = ar clq

# Nice try but useless: make will inherit BOOTSTRAPCFLAGS
# from  top Makefile
  BOOTSTRAPCFLAGS =

               CC = gcc
               AS = gcc -c -x assembler

.SUFFIXES: .cc

              CXX = c++

          CXXFILT = c++filt

           CXXLIB = -lstdc++

    CXXDEBUGFLAGS = -g -O2 -fno-strict-aliasing
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__amd64__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE                                 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 				  				 $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(DEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip -n

              CPP = cpp $(STD_CPP_DEFINES)
           RAWCPP = cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)

          INSTALL = install
     INSTALLFLAGS = -c

               LD = gcc -nostdlib

              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y

             LINT = lint

      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib

  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =
     PERLENVSETUP = env LC_ALL=C

          MANSECT = 1
   SYSCALLMANSECT = 2
       LIBMANSECT = 3
    DRIVERMANSECT = 4
      FILEMANSECT = 5
      GAMEMANSECT = 6
      MISCMANSECT = 7
       ADMMANSECT = 8
       MANSRCSECT = s
       MANNEWSECT = n
 PROJECTMANSUFFIX = x
        MANSUFFIX = $(MANSECT)$(PROJECTMANSUFFIX)
 SYSCALLMANSUFFIX = $(SYSCALLMANSECT)$(PROJECTMANSUFFIX)
     LIBMANSUFFIX = $(LIBMANSECT)$(PROJECTMANSUFFIX)
  DRIVERMANSUFFIX = 4x
    FILEMANSUFFIX = $(FILEMANSECT)$(PROJECTMANSUFFIX)
    GAMEMANSUFFIX = $(GAMEMANSECT)$(PROJECTMANSUFFIX)
    MISCMANSUFFIX = 7x
     ADMMANSUFFIX = $(ADMMANSECT)$(PROJECTMANSUFFIX)
   ADMINMANSUFFIX = 8
     MANSRCSUFFIX = man
     MANNEWSUFFIX = _man
          MANDEFS = -D__apploaddir__=$(XAPPLOADDIR) -D__filemansuffix__=$(FILEMANSECT)$(PROJECTMANSUFFIX) -D__osfilemansuffix__=$(FILEMANSECT) -D__libmansuffix__=$(LIBMANSECT)$(PROJECTMANSUFFIX) -D__oslibmansuffix__=$(LIBMANSECT) -D__mansuffix__=$(MANSECT)$(PROJECTMANSUFFIX) -D__osmansuffix__=$(MANSECT) -D__syscallmansuffix__=$(SYSCALLMANSECT)$(PROJECTMANSUFFIX) -D__ossysmansuffix__=$(SYSCALLMANSECT) -D__gamemansuffix__=$(GAMEMANSECT)$(PROJECTMANSUFFIX) -D__osgamemansuffix__=$(GAMEMANSECT) -D__miscmansuffix__=$(MISCMANSECT)$(PROJECTMANSUFFIX) -D__osmiscmansuffix__=$(MISCMANSECT) -D__admmansuffix__=$(ADMMANSECT)$(PROJECTMANSUFFIX) -D__osadmmansuffix__=$(ADMMANSECT) -D__miscmansuffix__=$(MISCMANSECT)$(PROJECTMANSUFFIX) -D__osmiscmansuffix__=$(MISCMANSECT) -D__drivermansuffix__=$(DRIVERMANSECT)$(PROJECTMANSUFFIX) -D__osdrivermansuffix__=$(DRIVERMANSECT) -D__adminmansuffix__=$(ADMINMANSUFFIX) -D__projectroot__=$(PROJECTROOT) -D__xconfigfile__=$(XCONFIGFILE) -D__xconfigdir__=$(XCONFIGDIR) -D__xlogfile__=$(XLOGFILE) -D__xservername__=$(XSERVERNAME) -D__appmansuffix__=$(MANSECT)$(PROJECTMANSUFFIX) $(XORGMANDEFS) $(VENDORMANDEFS)

   COMPRESSMANCMD = gzip -n

            TROFF = groff -Tps
            NROFF = nroff

         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b

            MODCC = gcc

           MODCPP = cpp
        MODCFLAGS = $(CFLAGS)
            MODAS = gcc -c -x assembler
       MODASFLAGS =

            MODLD = gcc -nostdlib

       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq

        MODRANLIB = ranlib

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__amd64__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE                                 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 				  				 $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__amd64__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE                                 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 				  				 $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared $(SHLIBGLOBALSFLAGS)

         NOSTDLIB = -nostdlib
     POSTNOSTDLIB = -Wl,-Bstatic -lgcc -Wl,-Bdynamic

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr

      CDEBUGFLAGS = -g -O2 -fno-strict-aliasing
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(INSTALLED_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES) $(EXTRA_DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB =  $(INSTALLED_LIBS)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =
   DEPEND_DEFINES =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include
        TKLIBNAME = tk8.4
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include
       TCLLIBNAME = tcl8.4
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =
   IMAKE_WARNINGS = -Wundef

         IRULESRC = $(CONFIGDIR)

=== util/Makefile ===

# set to anything but "no" to enable
# WITH_PGF=no
WITH_PGF=yes

ifneq ($(WITH_PGF),no)
all: pdfconcat ppmtops pgf2pnm
else
all: pdfconcat ppmtops
endif

pdfconcat:
	$(CC) $(CFLAGS) -O3 -s -DNDEBUG=1 -DNO_CONFIG=1 -ansi -pedantic -Wunused -Wall -W -Wstrict-prototypes -Wtraditional -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wmissing-prototypes -Wmissing-declarations pdfconcat.c -o pdfconcat

ppmtops:
	$(CC) $(CFLAGS) ppmtops.c -o ppmtops

ifneq ($(WITH_PGF),no)
pgf2pnm: main.cpp pnm.cpp
	@if [ -x /usr/include/libpgf ] ; then \
	$(CXX) $(CXXFLAGS) -fpermissive -c main.cpp -o main.o -I/usr/include/libpgf ; \
	$(CXX) $(CXXFLAGS) -fpermissive -c pnm.cpp -o pnm.o -I/usr/include/libpgf ; \
	$(CXX) $(CXXFLAGS) -fpermissive -o pgf2pnm main.o pnm.o $(LDFLAGS) -lpgf ; \
	else \
	echo "libpgf not installed !!" ; \
	fi
endif

install-common:
	@if [ -x pdfconcat ] ; then \
	mkdir -p "$(DESTDIR)"/usr/bin ; \
	install -c pdfconcat $(DESTDIR)/usr/bin ; \
	echo "install -c pdfconcat $(DESTDIR)/usr/bin" ; \
	mkdir -p "$(DESTDIR)"/usr/share/man/man1 ; \
	install -c -m 644 pdfconcat.1 "$(DESTDIR)"/usr/share/man/man1 ; \
	echo "install -c pdfconcat.1 "$(DESTDIR)"/usr/share/man/man1" ; fi
	@if [ -x ppmtops ] ; then \
	mkdir -p "$(DESTDIR)"/usr/bin ; \
	install -c ppmtops "$(DESTDIR)"/usr/bin ; \
	echo "install -c ppmtops "$(DESTDIR)"/usr/bin" ; fi

install-pgf:
	@if [ -x pgf2pnm ] ; then \
	mkdir -p "$(DESTDIR)"/usr/bin ; \
	install -c pgf2pnm "$(DESTDIR)"/usr/bin ; \
	echo "install -c pgf2pnm "$(DESTDIR)"/usr/bin" ; fi

ifneq ($(WITH_PGF),no)
install: install-common install-pgf
else
install: install-common
endif

clean:
	rm -f core *~ *.o pdfconcat ppmtops pgf2pnm

cleandir: clean

distclean: clean

=== debian/changelog ===
xpaint (2.10.2-1) unstable; urgency=low

  * New upstream release.

  * Minor compilation fixes in iprocess.c and xpaintrw/readWriteJP2K.c
    thanks to the OpenSuse team.

  * Bug in operation.c : exitPaint(...) could trigger a segfault when
    quitting xpaint without saving the canvas. Thanks to Anthony
    J. Bentley from the OpenBSD team for reporting the bug.

  * Minor fixes for the calculation of the maximum canvas size.

  -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Mon, 13 Nov 2017 22:34:36 +0100

xpaint (2.10.1-1) unstable; urgency=low

  * New upstream release.

  * Xpaint includes a new command line option
    -btnheight that adjusts appropriately the size of all internal
    widgets in case a big menu font is used (e.g. by setting the
    option -menufont , or by changing the app-defaults file).
    This is very useful if you have a high resolution screen.
    Many small local modifications of various source files in
    the main tree have been necessary for this.

  * A new option -toolmode 0,1,2 can be used to initialize the display
    of the tool window. Also adjustable dynamically by resizing that
    window.

  * Default canvas size has been set to 1024x768
    Related command line options are -canvassize and -winsize
    that can be used independently to adjust the default size of
    canvas and main window.

  * The app-defaults files and help files have been modified
    to accommodate the above additions.

  * The "Print" widget has been improved, and its menubar is now
    again available to adjust page formats (a bug introduced
    probably a long time ago prevented it to work !)

  * A newer version libXaw3dXft-1.6.2e.tar.bz2 has been posted.
    The only change is a 3 lines addition that circumvents (what
    seems to be) a bug occurring in certain X11/Xorg implementations,
    e.g. the intel driver, version 2.99.917. Otherwise this will make
    no difference.

  * Changed the library name librw to libxpaintrw
    to avoid shared library conflicts. Thanks to Michael Orlitzky
    for pointing out the issue.

  * Applied a number of patches from gentoo.org that substantially
    improve the compilation process. Thanks to Julian Ospald
    <hasufell@gentoo.org>

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Sat, 10 Dec 2016 12:34:36 +0100

xpaint (2.9.10-1) unstable; urgency=low

  * New upstream release.

 -- Jean-Pierre Demailly <jean-pierre.demailly@ujf-grenoble.fr>  Sun, 2 Mar 2014 16:37:36 +0200

xpaint (2.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Tue, 14 Sep 2010 23:12:13 +0200

xpaint (2.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Sun, 5 Sep 2010 17:22:13 +0200

xpaint (2.9.1.4-1) unstable; urgency=low

  * New upstream release.
    - debian/ directory removed.
    - Added man pages for imgmerge and pngconcat (provided by Debian
      maintainer).
  * debian/rules
    - Unnecessary export removed.
    - Use of dh_auto_configure script plus xaw3dxft.so option.
    - mkdir app-defaults/out added to avoid problems with git.
  * debian/patches/imgmerge-c-interface-fix.diff dropped,
    merged upstream.
  * debian/patches/Local.config.diff updated.
  * debian/patches/imgmerge-sensible-editor.diff updated.
  * debian/patches/xpaint_ocr_upstreamer.diff dropped,
    merged upstream.
  * debian/patches/xpaint.man.in.diff droped, merged upstream.
  * decian/control
    - Standards-Version increased to 3.9.0, no changes needed.
    - Vcs-Git and VCs-Browser fields added.
  * debian/libxaw3dxft6.symbols added.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Fri, 09 Jul 2010 02:22:13 -0600

xpaint (2.8.13-2) unstable; urgency=low

  * debian/rules override dh_auto_configure to avoid inappropriate
    parameters and build using the Xaw3dg library instead of pain Xaw
  * Build dependen on version >= 7.0.50~ of debhelper because debhelper
    overrides need it

 -- Josue Abarca <jmaslibre@debian.org.gt>  Wed, 07 Jul 2010 10:10:25 -0600

xpaint (2.8.13-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules switch to dh 7
  * Local.config.diff patch to use sensible-editor instead of emacs
    and fix RPATH issue
  * imgmerge.diff patch to use sensible-editor instead of emacs
  * xpaint.man.in.diff patch to fix a typo and an hyphen used as minus
    sign
  * debian/clean added, to delete Local.xawdefs and xpaint.man
    because this two files are generated at build time
  * xpaint.man added to debian/xpaint.manpages to proper installation
  * debian/watch updated, thanks to Raphael Geissert (closes: bug#449708)
  * debian/menu section changed from Apps to Applications.
  * debian/pdfconcat.1 manpage added
  * debian/imgmerge.1 manpage added
  * debian/copyright updated
  * debian/package.install added to install xpaint.desktop and
    xpaint.svg icon (closes: bug#478994)
  * debian/control
    - Suggests gv instead gs-pl (closes: bug#539658)
    - Suggests imagemagick added
    - Suggests ocrad added
    - Build depends on xutils-dev instead of xutils thanks to Cyril
      Brulebois (closes: bug#485723)
    - Homepage field added and url removed from description.
    - now depends on ${misc:Depends}
    - updated policy to 3.8.4 (no changes needed).
  
 -- Josue Abarca <jmaslibre@debian.org.gt>  Thu, 21 Jan 2010 10:34:55 -0600

xpaint (2.8.8-1) unstable; urgency=low

  * New upstream release
  * New Maintainer Thanks to Hugo Vanwoerkom for his previous work
    (closes: bug#560990)
  * debian/lintian-overrides deleted. Lintian warning fixed

 -- Josue Abarca <jmaslibre@debian.org.gt>  Tue, 19 Jan 2010 13:20:31 -0600

xpaint (2.7.8.1-1.2) unstable; urgency=low

  * Porter NMU.
  * Added support for GNU/kFreeBSD (closes: bug#332999).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 23:06:51 +0100



=== debian/control ===
Source: xpaint
Section: graphics
Priority: optional
Maintainer: Josue Abarca <jmaslibre@debian.org.gt>
Build-Depends: debhelper (>= 7.0.50~), libxaw3dxft-dev, libjpeg-dev, 
 libxpm-dev, libtiff-dev, libpng-dev, libopenjpeg-dev,
 xutils-dev, libxft-dev, bison, flex (>= 2.5.31-16),
 libxmu-dev, libxt-dev, libsm-dev, libice-dev, libxext-dev, libx11-dev,
 x11proto-core-dev, x11proto-xext-dev,
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/collab-maint/xpaint.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xpaint.git
Homepage: https://sourceforge.net/projects/sf-xpaint/

Package: xpaint
Architecture: any
Depends: libxaw3dxft (>=1.6.2), libxpm4, libpng12-0 | libpng16-16, libtiff4 | libtiff5, libjpeg62-turbo | libjpeg8, libopenjpeg2 | libopenjpeg5 | libopenjpeg6, zlib1g, libx11-6, libxext6, libfreetype6, libfontconfig1
Suggests: gv, netpbm, lpr, x-terminal-emulator, editor, imagemagickb, ocrad
Description: simple paint program for X
 XPaint is suitable for producing simple graphics. It does offer some
 advanced features such as image processing functions and gradient
 fill.
 .
 In the C Script Editor of XPaint, the External editor in the File menu
 will invoke x-terminal-emulator -e sensible-editor.
 .
 The gv package will be needed for PDF/PS reading, netpbm will be needed
 for external conversion, lpr for printing.
